Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Event Operations
GETEvent OperationsSince 3.9.0SynchronousAuth Required

GetAllEventMetadata

GetAllEventMetadata

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • nameString

    Optional. The name of the event.

  • namespaceString

    Optional. The namespace of the event.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • eventsListRequired

    See events.

    • namespaceStringRequired

      The namespace.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The description of the event.

    • labelNamesListRequired

      The label names.

Endpoint

GET/zstack/v1/zwatch/events/meta-data

/zstack/v1/zwatch/events/meta-data

Operation ID

GetAllEventMetadata

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/events/meta-data?name=<name>&namespace=<namespace>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "events": [ { "namespace": "ZStack/VM", "name": "org.zstack.zwatch.datatype.EventFamily@631b5229", "description": "VMHAProcess", "labelNames": [ "HAProcess", "HADetails" ] } ] }

Change History

This API has no change history records yet.

View all change history